functional-class {arf3DS4} | R Documentation

## arf3DS4 "functional" class

### Description

The arf3DS4 "functional" class contains information on the functional volume where the fMRI beta-files were estimated on. It links the data of the different runs with the raw time-series files, primarily for connectivity analysis. To link runs to raw time-series call `setFuncTimings`.

### Objects

Objects can be created by calls of the form `new("functional", ...)`.

### Slots

`fullpath`:

  Full path of the functional volume directory.

`functionaldata`:

  Filename of the functional volume (raw time-series).

`filename`:

  Filename of the functional.Rda file.

`linkedfiles`:

  Path to linked beta-file.

`timings`:

  Vector of stimulus timings.

`version`:

  Object of class "version" (see `version`)

### Methods

Standard arf3DS4 accessor and replacement functions can be used to access and replace slots.

access

  `.classname.slotname(object)`

replace

  `.classname.slotname(object)<-`

In this case classname is "functional" and slotname is for example "timings". So to access the "timings" slot of an r-object "myfunctional" (of class "functional") type `.functional.timings(myfunctional)`.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### Examples

    showClass("functional")

[Package arf3DS4 version 2.5-10 Index]